Subject: Re: [bug#58569] [PATCH] gnu packages gnome-console: Remove nautilus extension

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 25 Oct 2022 07:59:59 +0200

Am Montag, dem 24.10.2022 um 23:54 +0200 schrieb Mája Tomášek:
> I think that nautilus loads this library by checking for objects in
> NAUTILUS_EXTENSION_PATH and loading them into the system at
> runtime. Simply unsetting the variable fixes the issue. So in my
> opinion nautilus cannot link the wrong file, as it does on runtime
> and that is set to a variable that essentialy links it to the same
> file.t
Ahh, you're right of course.  Still, when debugging against guix shell,
you ought to take the shell cache into account, which can obscure bugs.
In either case, check very carefully that the two libkgx-nautilus
actually point to the same file.

Cheers